<?php
namespace Claromentis\Search\EmptySearch\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("use" . "r_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "ke" . "yw" . "or" . "ds" => base64_decode("a2V5d29yZ" . "HM="), "_aa7e860da1acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jcmVhdGV" . "k"), "_c261da155a5b4c08fbbfc94c9c7a9d5" . "f" => base64_decode("ZW1w" . "dHlf" . "c2Vh" . "cmNo"), "i" . "d" => base64_decode("aW" . "Q="));
use ActiveRecord;
use ObjectsStorage;









class EmptySearchModel extends ActiveRecord
{
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_c261da155a5b4c08fbbfc94c9c7a" . "9d5f"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["i" . "d"], ObjectsStorage::T_AUTOINCREMENT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["user" . "_id"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aa7e860da1acd4e767e0d" . "f9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["ke" . "yw" . "or" . "ds"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function SetUserId($user_id)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["user" . "_id"], $user_id);
    }
    
    
    
    
    public function SetDate($_67a0d624aebcceb0abd5ce56a53ff06f)
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aa7e860da1acd" . "4e767e0df9d7d4" . "07380"], $_67a0d624aebcceb0abd5ce56a53ff06f);
    }
    
    
    
    
    public function SetKeywords($keywords)
    {
        $this->SetProperty($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["keywor" . "ds"], $keywords);
    }
    
    
    
    
    public function GetUserId()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["us" . "er" . "_i" . "d"]);
    }
    
    
    
    
    public function GetDate()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_aa7e860da1acd4e76" . "7e0df9d7d407380"]);
    }
    
    
    
    
    public function GetKeywords()
    {
        return $this->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["ke" . "yw" . "or" . "ds"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return \User::GetNameById($this->GetUserId());
    }
    
    
    
    
    public function GetProfileUrl()
    {
        return \User::GetProfileUrl($this->GetUserId());
    }
}